Module
Contents
Index 🔎︎

# UBound Function

Returnerar en matris övre gräns.

## Syntax:

    UBound (MatrisNamn [, Dimension])

## Returvärde:

Integer

## Parametrar:

ArrayName: Den matris vars övre begränsning (UBound) eller undre begränsning (LBound) ska returneras.

[Dimension]: Heltal som anger i vilken dimension den övre (UBound) resp. nedre (LBound) begränsningen ska kontrolleras. Om värdet utelämnas returneras begränsningen för den första dimensionen.

## Error codes:

5 Felaktigt proceduranrop

9 Index utanför angivet spann

## Exempel:

    Sub ExampleUboundLbound

    Dim sVar(10 To 20) As String

        Print LBound(sVar())

        Print UBound(sVar())

    End Sub

    Sub ExampleUboundLbound2

    Dim sVar(10 To 20,5 To 70) As String

        Print LBound(sVar()) ' Returnerar 10

        Print UBound(sVar()) ' Returnerar 20

        Print LBound(sVar(),2) ' Returnerar 5

        Print UBound(sVar(),2) ' Returnerar 70

    End Sub